GET /groups/{groupId}/apps/{appId}/deployment_migration

現在の配置移行のメタデータとステータスを取得します(存在する場合)。

path パラメータ

応答

  • 200 application/ JSON

    Ok

    応答属性の非表示 応答属性の表示 オブジェクト
    • 状態 string

      値は、started、downtime、enabling_event_subscriptions、cleanup、successful、または failed です。

    • メッセージ string

      現在の移行ステータスの説明。

    • Updated_at string

      配置移行への最新更新のタイムスタンプ。

    • from オブジェクト

      移行開始時のアプリの配置モデルとクラウドプロバイダーのリージョン

      属性から非表示 属性から表示 オブジェクト
      • deployment_model string

        アプリケーションの配置モデル。

        値は GLOBAL または LOCAL です。

      • provider_region string
        次の 1 つ:

        値は、aws-us-east-1、aws-us-west-2、aws-us-east-2、aws-eu-central-1、aws-eu-west-1、aws-eu-west-2、aws-ap-southeast-1、aws-ap-southeast-2、aws-ap-south-1、または aws-sa-east-1 です。

        値は、azure-eastus2、azure-westus、azure-westeurope、azure-eastasia、または azure-southeastasia です。

        値は、gcp-us-central1、gcp-us-east4、gcp-us-west1、gcp-europe-west1、または gcp-asia-south1 です。

    • 次の行動をします: オブジェクト

      移行先の配置モデルとクラウドプロバイダーリージョン。移行を成功させると、アプリは from で記述されている設定ではなく、これらの配置設定を使用します。

      属性を非表示にする 属性に表示 オブジェクト
      • deployment_model string

        アプリケーションの配置モデル。

        値は GLOBAL または LOCAL です。

      • provider_region string
        次の 1 つ:

        値は、aws-us-east-1、aws-us-west-2、aws-us-east-2、aws-eu-central-1、aws-eu-west-1、aws-eu-west-2、aws-ap-southeast-1、aws-ap-southeast-2、aws-ap-south-1、または aws-sa-east-1 です。

        値は、azure-eastus2、azure-westus、azure-westeurope、azure-eastasia、または azure-southeastasia です。

        値は、gcp-us-central1、gcp-us-east4、gcp-us-west1、gcp-europe-west1、または gcp-asia-south1 です。

  • 404

    アプリが見つかりません

GET /groups/{groupId}/apps/{appId}/deployment_migration
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/deployment_migration' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
応答の例(200)
{
  "status": "started",
  "message": "string",
  "updated_at": "string",
  "from": {
    "deployment_model": "GLOBAL",
    "provider_region": "aws-us-east-1"
  },
  "to": {
    "deployment_model": "GLOBAL",
    "provider_region": "aws-us-east-1"
  }
}